Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002461TestLinkReportspublic2009-04-30 15:422010-01-13 21:43
Reportershm2bk 
Assigned Tomhavlat 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.1 
Fixed in Version1.8.3 
Summary0002461: Test results must be available for a deactivated TestPlans
DescriptionWhen I deactivate a TestPlan on: Home--TestplanManagement---deactivate

you can read the following text in Testlink:
Test plans should encompass a (set of) clearly defined tasks with a timeframe and content. They can be created for everything from simple change requests to new product versions. It is recommended that the description field be used to document links to project plans and related documentation, lists of features to be tested, risks, etc.You can create a new test plan from an existing one. The items that are copied include: builds, test cases, priorities, milestones,
and user roles. Test plans can be deactivated (i.e., editing and changing of results change are not allowed).
Deactivated test plans are visible only via 'Reporting' and this page.

What means the last sentence: " Deactivated test plans are visible only via 'Reporting' and this page".

When I deactivate a Testplan, you don't see the TABs: [Execute] and [Result]
I can't see Results of a deactivated TestPlan. Is this correct?
Bug or feature ????
In my practice It would be nice, when I could see the results of the deactivated Testplans.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserfirefox 3.0
PHP Versionphp5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
has duplicate 0002321closedmhavlat results are not available if test plan is not active 

-  Notes
(0006700)
mhavlat (reporter)
2009-04-30 18:44

This is a bug or our communication fault. It must be fixed:
1) Menu link should be available if any Test Plan exists.
2) All Test Plans must be available in the report navigator.

Target 1.8.3
(0007118)
mhavlat (reporter)
2009-06-02 16:53

Allowed all Test Plans in combo-box. New function created in testplan class.
Fixed for both 1.8 branch and head.

- Issue History
Date Modified Username Field Change
2009-04-30 15:42 shm2bk New Issue
2009-04-30 15:42 shm2bk Browser => firefox 3.0
2009-04-30 15:42 shm2bk PHP Version => php5.2.8
2009-04-30 18:44 mhavlat Note Added: 0006700
2009-04-30 18:44 mhavlat Summary A deactivated TestPlan doesn't shows the existing testresults. Bug or feature ???? => Test results must be available for a deactivated TestPlans
2009-05-10 13:59 mhavlat Priority normal => high
2009-05-10 13:59 mhavlat Severity minor => major
2009-05-10 13:59 mhavlat Category Requirement Management => Reports, Metrics, Export and Print
2009-06-02 04:58 mhavlat Relationship added has duplicate 0002321
2009-06-02 05:13 mhavlat Note Added: 0007112
2009-06-02 05:15 mhavlat Note Deleted: 0007112
2009-06-02 14:16 mhavlat Status new => assigned
2009-06-02 14:16 mhavlat Assigned To => mhavlat
2009-06-02 16:53 mhavlat Note Added: 0007118
2009-06-02 16:53 mhavlat Status assigned => resolved
2009-06-02 16:53 mhavlat Fixed in Version => 1.8.3 (bug fixing)
2009-06-02 16:53 mhavlat Resolution open => fixed
2010-01-13 21:43 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker